﻿using Calendar.UWP;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.UI.Xaml.Controls.Input;
using Telerik.UI.Xaml.Controls.Input.Calendar;
using Telerik.UI.Xaml.Controls.Input.Calendar.Commands;
using Telerik.XamarinForms.Input;
using Telerik.XamarinForms.InputRenderer.UWP;
using Windows.UI;
using Windows.UI.Xaml.Media;
using Xamarin.Forms.Platform.UWP;

[assembly: ExportRenderer(typeof(Telerik.XamarinForms.Input.RadCalendar), typeof(CustomCalendarRenderer))]

namespace Calendar.UWP
{
    public class CustomCalendarRenderer : CalendarRenderer
    {
        protected override void OnElementChanged(ElementChangedEventArgs<Telerik.XamarinForms.Input.RadCalendar> e)
        {
            base.OnElementChanged(e);

            if(this.Control != null)
            {
                var command = this.Control.Commands.FirstOrDefault(a => ((CalendarCommand)a).Id == CommandId.MoveToUpperView);
                this.Control.Commands.Remove(command);
                this.Control.Commands.Add(new MyCalendarMoveToUpperViewCommand());
            }

        }
    }

    public class MyCalendarMoveToUpperViewCommand : CalendarCommand
    {
        public MyCalendarMoveToUpperViewCommand()
        {
            this.Id = CommandId.MoveToUpperView;
        }

        public override bool CanExecute(object parameter)
        {
            return parameter is CalendarViewChangeContext && base.CanExecute(parameter);
        }

        public override void Execute(object parameter)
        {
        }
    }
}
